package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFSJ2 extends MwfRequest<MWFSJ2, MWFSJ2Response> {

    @Parameter(name = "IN1CCI")
    MWFSJ2 in1cci(String in1cci);
    @Parameter(name = "IN1ICL")
    MWFSJ2 in1icl(String in1icl);
    @Parameter(name = "IN1ICM")
    MWFSJ2 in1icm(String in1icm);
    @Parameter(name = "IN1ICO")
    MWFSJ2 in1ico(Long in1ico);
    @Parameter(name = "IN1ICP")
    MWFSJ2 in1icp(Double in1icp);
    @Parameter(name = "IN1ITP")
    MWFSJ2 in1itp(String in1itp);
    @Parameter(name = "IN1LOR")
    MWFSJ2 in1lor(String in1lor);
    @Parameter(name = "IN1OF1")
    MWFSJ2 in1of1(Double in1of1);
    @Parameter(name = "IN1OF2")
    MWFSJ2 in1of2(Double in1of2);
    @Parameter(name = "IN1OFC")
    MWFSJ2 in1ofc(String in1ofc);
    @Parameter(name = "IN1OFE")
    MWFSJ2 in1ofe(Double in1ofe);
    @Parameter(name = "IN1OFF")
    MWFSJ2 in1off(Long in1off);
    @Parameter(name = "IN1OFN")
    MWFSJ2 in1ofn(java.util.Date in1ofn);
    @Parameter(name = "IN1OFP")
    MWFSJ2 in1ofp(String in1ofp);
    @Parameter(name = "IN1OFS")
    MWFSJ2 in1ofs(Long in1ofs);
    @Parameter(name = "IN1PBL")
    MWFSJ2 in1pbl(String in1pbl);
    @Parameter(name = "IN1PCL")
    MWFSJ2 in1pcl(String in1pcl);
    @Parameter(name = "IN1PCT")
    MWFSJ2 in1pct(Double in1pct);
    @Parameter(name = "INABAD")
    MWFSJ2 inabad(String inabad);
    @Parameter(name = "INACC1")
    MWFSJ2 inacc1(Long inacc1);
    @Parameter(name = "INACCT")
    MWFSJ2 inacct(String inacct);
    @Parameter(name = "INACLS")
    MWFSJ2 inacls(String inacls);
    @Parameter(name = "INADEX")
    MWFSJ2 inadex(String inadex);
    @Parameter(name = "INAFID")
    MWFSJ2 inafid(String inafid);
    @Parameter(name = "INASTC")
    MWFSJ2 inastc(Long inastc);
    @Parameter(name = "INASTL")
    MWFSJ2 inastl(String inastl);
    @Parameter(name = "INBFFG")
    MWFSJ2 inbffg(String inbffg);
    @Parameter(name = "INBK")
    MWFSJ2 inbk(Long inbk);
    @Parameter(name = "INBRCH")
    MWFSJ2 inbrch(String inbrch);
    @Parameter(name = "INCARD")
    MWFSJ2 incard(String incard);
    @Parameter(name = "INCBOC")
    MWFSJ2 incboc(Long incboc);
    @Parameter(name = "INCBRL")
    MWFSJ2 incbrl(Long incbrl);
    @Parameter(name = "INCBST")
    MWFSJ2 incbst(String incbst);
    @Parameter(name = "INCCAC")
    MWFSJ2 inccac(Long inccac);
    @Parameter(name = "INCCFG")
    MWFSJ2 inccfg(String inccfg);
    @Parameter(name = "INCCIN")
    MWFSJ2 inccin(Long inccin);
    @Parameter(name = "INCDSP")
    MWFSJ2 incdsp(Long incdsp);
    @Parameter(name = "INCFFA")
    MWFSJ2 incffa(String incffa);
    @Parameter(name = "INCFFM")
    MWFSJ2 incffm(String incffm);
    @Parameter(name = "INCIFR")
    MWFSJ2 incifr(Long incifr);
    @Parameter(name = "INCINX")
    MWFSJ2 incinx(java.util.Date incinx);
    @Parameter(name = "INCIPR")
    MWFSJ2 incipr(String incipr);
    @Parameter(name = "INCISP")
    MWFSJ2 incisp(Long incisp);
    @Parameter(name = "INCLOV")
    MWFSJ2 inclov(String inclov);
    @Parameter(name = "INCLST")
    MWFSJ2 inclst(String inclst);
    @Parameter(name = "INCODT")
    MWFSJ2 incodt(java.util.Date incodt);
    @Parameter(name = "INCORR")
    MWFSJ2 incorr(String incorr);
    @Parameter(name = "INCPLN")
    MWFSJ2 incpln(Long incpln);
    @Parameter(name = "INCPRT")
    MWFSJ2 incprt(Double incprt);
    @Parameter(name = "INDACI")
    MWFSJ2 indaci(String indaci);
    @Parameter(name = "INDIFR")
    MWFSJ2 indifr(Long indifr);
    @Parameter(name = "INDINX")
    MWFSJ2 indinx(java.util.Date indinx);
    @Parameter(name = "INDIPR")
    MWFSJ2 indipr(String indipr);
    @Parameter(name = "INDISP")
    MWFSJ2 indisp(Long indisp);
    @Parameter(name = "INDOPN")
    MWFSJ2 indopn(java.util.Date indopn);
    @Parameter(name = "INEMP")
    MWFSJ2 inemp(String inemp);
    @Parameter(name = "INGOVT")
    MWFSJ2 ingovt(String ingovt);
    @Parameter(name = "INHIST")
    MWFSJ2 inhist(String inhist);
    @Parameter(name = "INIBKV")
    MWFSJ2 inibkv(String inibkv);
    @Parameter(name = "INIDSP")
    MWFSJ2 inidsp(String inidsp);
    @Parameter(name = "ININFR")
    MWFSJ2 ininfr(Long ininfr);
    @Parameter(name = "ININNX")
    MWFSJ2 ininnx(java.util.Date ininnx);
    @Parameter(name = "ININPR")
    MWFSJ2 ininpr(Long ininpr);
    @Parameter(name = "ININSP")
    MWFSJ2 ininsp(Long ininsp);
    @Parameter(name = "INIOVF")
    MWFSJ2 iniovf(String iniovf);
    @Parameter(name = "INIPSW")
    MWFSJ2 inipsw(String inipsw);
    @Parameter(name = "INLLF1")
    MWFSJ2 inllf1(String inllf1);
    @Parameter(name = "INLLF2")
    MWFSJ2 inllf2(String inllf2);
    @Parameter(name = "INLMAM")
    MWFSJ2 inlmam(Double inlmam);
    @Parameter(name = "INLP")
    MWFSJ2 inlp(String inlp);
    @Parameter(name = "INLVOP")
    MWFSJ2 inlvop(String inlvop);
    @Parameter(name = "INMAIL")
    MWFSJ2 inmail(String inmail);
    @Parameter(name = "INNAEX")
    MWFSJ2 innaex(Long innaex);
    @Parameter(name = "INNAFG")
    MWFSJ2 innafg(Long innafg);
    @Parameter(name = "INNOAC")
    MWFSJ2 innoac(String innoac);
    @Parameter(name = "INODL")
    MWFSJ2 inodl(Long inodl);
    @Parameter(name = "INOFF")
    MWFSJ2 inoff(String inoff);
    @Parameter(name = "INOPT")
    MWFSJ2 inopt(Long inopt);
    @Parameter(name = "INORDR")
    MWFSJ2 inordr(Long inordr);
    @Parameter(name = "INPBST")
    MWFSJ2 inpbst(String inpbst);
    @Parameter(name = "INPERS")
    MWFSJ2 inpers(String inpers);
    @Parameter(name = "INPNNR")
    MWFSJ2 inpnnr(Long inpnnr);
    @Parameter(name = "INPRVS")
    MWFSJ2 inprvs(String inprvs);
    @Parameter(name = "INPUB")
    MWFSJ2 inpub(String inpub);
    @Parameter(name = "INREGE")
    MWFSJ2 inrege(String inrege);
    @Parameter(name = "INRELA")
    MWFSJ2 inrela(Long inrela);
    @Parameter(name = "INREST")
    MWFSJ2 inrest(String inrest);
    @Parameter(name = "INSCCD")
    MWFSJ2 insccd(Long insccd);
    @Parameter(name = "INSCFR")
    MWFSJ2 inscfr(Long inscfr);
    @Parameter(name = "INSCNX")
    MWFSJ2 inscnx(java.util.Date inscnx);
    @Parameter(name = "INSCPN")
    MWFSJ2 inscpn(Long inscpn);
    @Parameter(name = "INSCPR")
    MWFSJ2 inscpr(String inscpr);
    @Parameter(name = "INSCSP")
    MWFSJ2 inscsp(Long inscsp);
    @Parameter(name = "INSCTL")
    MWFSJ2 insctl(String insctl);
    @Parameter(name = "INSCTY")
    MWFSJ2 inscty(String inscty);
    @Parameter(name = "INSEC")
    MWFSJ2 insec(String insec);
    @Parameter(name = "INSIG")
    MWFSJ2 insig(Long insig);
    @Parameter(name = "INSIGA")
    MWFSJ2 insiga(Long insiga);
    @Parameter(name = "INSPIN")
    MWFSJ2 inspin(String inspin);
    @Parameter(name = "INSTAT")
    MWFSJ2 instat(String instat);
    @Parameter(name = "INSTBR")
    MWFSJ2 instbr(Long instbr);
    @Parameter(name = "INSTCD")
    MWFSJ2 instcd(String instcd);
    @Parameter(name = "INSTCP")
    MWFSJ2 instcp(Long instcp);
    @Parameter(name = "INSTCT")
    MWFSJ2 instct(String instct);
    @Parameter(name = "INSTDT")
    MWFSJ2 instdt(java.util.Date instdt);
    @Parameter(name = "INSTFR")
    MWFSJ2 instfr(Long instfr);
    @Parameter(name = "INSTSH")
    MWFSJ2 instsh(String instsh);
    @Parameter(name = "INSTSP")
    MWFSJ2 instsp(Long instsp);
    @Parameter(name = "INTAFG")
    MWFSJ2 intafg(String intafg);
    @Parameter(name = "INTFAC")
    MWFSJ2 intfac(Long intfac);
    @Parameter(name = "INTFAP")
    MWFSJ2 intfap(Long intfap);
    @Parameter(name = "INTHWA")
    MWFSJ2 inthwa(Double inthwa);
    @Parameter(name = "INTHWO")
    MWFSJ2 inthwo(String inthwo);
    @Parameter(name = "INTITL")
    MWFSJ2 intitl(String intitl);
    @Parameter(name = "INTYP")
    MWFSJ2 intyp(Long intyp);
    @Parameter(name = "INUFLM")
    MWFSJ2 inuflm(Double inuflm);
    @Parameter(name = "INUSF1")
    MWFSJ2 inusf1(String inusf1);
    @Parameter(name = "INUSF2")
    MWFSJ2 inusf2(String inusf2);
    @Parameter(name = "INWHFG")
    MWFSJ2 inwhfg(String inwhfg);
    @Parameter(name = "INWHPC")
    MWFSJ2 inwhpc(Double inwhpc);
}
